aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/mksword
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/mksword')
-rw-r--r--scripts/mksword11
1 files changed, 10 insertions, 1 deletions
diff --git a/scripts/mksword b/scripts/mksword
index f853d1e..cb1bed6 100644
--- a/scripts/mksword
+++ b/scripts/mksword
@@ -1,6 +1,15 @@
+#!/bin/sh
REV=`cd ..;basename \`pwd ..\`|cut -d\- -f2`
+SWORDVER=`grep "define SWORDVER" ../include/swversion.h |cut -f3 -d" "`
+
+if [ "$REF" != "$SWORDVER" ]; then
+ echo $"Directory version is $REV, but swversion.h has $SWORDVER"
+ exit 1
+fi
+
chmod +x *
chmod +x ../apps/X11/cheatah/configure
chmod +x ../apps/X11/cheatah/missing
-cp sapphire.cpp ../src/modules/common
+#cp sapphire.cpp ../src/modules/common
cd ../..; tar -v -c -p -s -z --exclude sword-$REV/bin -X sword-$REV/modlist -f sword-$REV.tar.gz sword-$REV/*
+